//*****************************************************************************
// SKY SHADER
//*****************************************************************************
textures/box/boxsky
{
	qer_editorImage textures/skies/dimclouds.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sunExt 0.5 0.6 1 120 60 30 2 16
	q3map_skyLight 120 3

	skyparms - 512 -

	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.005 0
		tcMod scale 1 1
		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.005
		tcMod scale 3 3
	}
}

//*****************************************************************************
// GROUND SHADERS
//*****************************************************************************
textures/box/bdirt2
{
	surfaceparm dirtsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/bdirt2.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/e8clangfloor03
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/e8clangfloor03.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/tfloorhex_smll
{
	surfaceparm metalsteps

	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/tfloorhex_smll.jpg
		blendfunc filter
		rgbGen identity
	}
}

//*****************************************************************************
// LIGHT SHADERS
//*****************************************************************************
textures/box/e6v_neon_10k
{
	qer_editorimage textures/box/e6v_light.jpg

	q3map_lightimage textures/box/e6v_light_blend.jpg
	q3map_surfacelight 10000

	surfaceparm nomarks


	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/e6v_light.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/box/e6v_light_blend.jpg
		blendfunc add
	}
}

textures/box/rlight_a_10k
{
	qer_editorimage textures/box/rlight_a.jpg

	q3map_lightimage textures/box/rlight_a_blend.jpg
	q3map_surfacelight 10000

	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/rlight_a.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/box/rlight_a_blend.jpg
		blendFunc add
	}
}

textures/box/cretelighttrim01
{
	qer_editorimage textures/box/cretelighttrim01.tga

	q3map_lightimage textures/box/cretelighttrim01.blend.tga
	q3map_lightsubdivide 32
	q3map_surfacelight 2000

	surfaceparm nomarks

	{
		map textures/box/cretelighttrim01.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/box/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/box/cretetrimlight3
{
	q3map_lightimage textures/box/cretelighttrim01.blend.tga
	q3map_lightsubdivide 32
	q3map_surfacelight 2000

	surfaceparm nomarks

	{
		map textures/box/cretetrimlight3.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/box/cretelighttrim01.blend.tga
		blendfunc add
	}
}

textures/box/l_light_g
{
	q3map_lightimage textures/box/l_light_g_blend.jpg
	q3map_lightsubdivide 32
	q3map_surfacelight 5000

	surfaceparm nomarks

	nopicmip

	{
		map textures/box/l_light_g.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/box/l_light_g_blend.jpg
		blendfunc add
	}
}

textures/box/tech_dw2
{
	q3map_lightimage textures/box/tech_dw2_fx.tga
	q3map_lightsubdivide 32
	q3map_surfacelight 100

	nopicmip
	nomipmaps

	{
		map textures/box/tech_dw2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		tcGen lightmap
	}
	{
		map textures/box/tech_dw2_fx.tga
		blendfunc add
	}
}

//*****************************************************************************
// CRATES AND CONTAINERS SHADERS
//*****************************************************************************
textures/box/an_back3
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/an_back3.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/an_front
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/an_front.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/an_side
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/an_side.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/an_top
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/an_top.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/wood_crate_side
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/wood_crate_side.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/wood_crate_side_b
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/wood_crate_side_b.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/wood_crate_top_b
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/wood_crate_top_b.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/wood_crate_side_r
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/wood_crate_side_r.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/wood_crate_top_r
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/wood_crate_top_r.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/wood_crate_bottom
{
	surfaceparm woodsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/wood_crate_bottom.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/metal_crate_side_1
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/metal_crate_side_1.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/metal_crate_side_2
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/metal_crate_side_2.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/metal_crate_top
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/metal_crate_top.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/jez_crate1
{
	surfaceparm metalsteps

	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/jez_crate1.tga
		blendfunc filter
		rgbGen identity
	}
}

textures/box/jez_crate2
{
	surfaceparm metalsteps

	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/jez_crate2.tga
		blendfunc filter
		rgbGen identity
	}
}

//*****************************************************************************
// DOORS SHADERS
//*****************************************************************************
textures/box/door_alpha
{
	surfaceparm trans
		
	cull none
	nopicmip

	{
		map textures/effects/tinfx.tga
		blendFunc add
		tcgen environment
		rgbGen identity
	}
	{
		map textures/box/door_alpha.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/box/tech_window
{
	surfaceparm trans

	nopicmip

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/box/tech_window.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

//*****************************************************************************
// GLASS SHADER
//*****************************************************************************
textures/box/dsiglass
{
	qer_editorimage textures/box/dsiglass.tga
	qer_trans 0.5

	surfaceparm trans
	surfaceparm nomarks

	cull none

	{
		map textures/box/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}

//*****************************************************************************
// MISC METALLIC STUFF SHADERS
//*****************************************************************************
textures/box/vents
{
	qer_editorImage textures/box/e8mtltrim1.jpg

	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/e8mtltrim1.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/redtank
{
	qer_editorImage textures/base_wall/redmet.jpg

	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_wall/redmet.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/redtanksmall
{
	qer_editorImage textures/base_wall/redmet4small.jpg

	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_wall/redmet4small.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/pewter_shiney
{
	qer_editorImage textures/base_trim/pewter_shiney.tga

	surfaceparm metalsteps

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/base_trim/pewter_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/box/bluemetal
{
	qer_editorImage textures/box/e8base_blue.jpg

	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/e8base_blue.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/greymetal
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/greymetal.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/blackmetal
{
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/blackmetal.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/p_mtl_brn
{	
	surfaceparm metalsteps

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/p_mtl_brn.jpg
		blendfunc filter
		rgbGen identity
	}
}

//*****************************************************************************
// PIC SHADERS
//*****************************************************************************
textures/box/missjune
{	
	surfaceparm nomarks

	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/missjune.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/box/hitler
{	
	surfaceparm nomarks

	nopicmip

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/box/hitler.jpg
		blendfunc filter
		rgbGen identity
	}
}

//*****************************************************************************
// COMPUTER MODEL SHADER
//*****************************************************************************
models/mapobjects/computer/pka
{
	q3map_lightimage models/mapobjects/computer/pka.jpg
	q3map_lightsubdivide 32
	q3map_surfacelight 100

	cull none
	nopicmip
	nomipmaps

	{
		map models/mapobjects/computer/pka.jpg
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map models/mapobjects/computer/pka.jpg
		blendfunc add
	}
}

//*****************************************************************************
// QER IMAGE SHADER
//*****************************************************************************
textures/box/metallic_cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm metalsteps
}